%% This script runs through each model and extracts the AR data
close all; clear all; clc;

%  Names
% model_names = {'access13_ARfreq' ,'bcccsm1m_ARfreq' ,'bnuesm_ARfreq' ,'cnrmcm5_ARfreq' , 'csiromk36_ARfreq' ,'fgoalsg2_ARfreq'...
%     'gfdlcm3_ARfreq' ,'gfdlesm2g_ARfreq' ,'hadgem2cc_ARfreq' ,'inmcm4_ARfreq' , 'ipslcm5alr_ARfreq' ,'ipslcm5amr_ARfreq'...
%     'ipslcm5blr_ARfreq' ,'mirocesm_ARfreq' ,'mirocesmchem_ARfreq' ,'mpiesmlr_ARfreq' , 'mricgcm3_ARfreq' ,'nor_ARfreq' };
data_names = {'ERA_ARfreq' ,'MERRA_ARfreq' };

% model_names = {'f1i.nc' ,'f2i.nc' ,'f3i.nc' ,'f4i.nc' ,'f5i.nc' ,'f6i.nc' ,'f7i.nc' ,'f8i.nc' ,'f9i.nc' , 'f10i.nc'...
%  ,'f11i.nc' ,'f12i.nc' ,'f13i.nc' ,'f14i.nc' ,'f15i.nc' ,'f16i.nc' ,'f17i.nc' ,'f18i.nc' ,'f19i.nc' ,'f20i.nc' ,'f21i.nc'};  
model_names = {'f851i' ,'f852i' ,'f853i' ,'f854i' ,'f855i' ,'f856i' ,'f857i' ,'f858i' ,'f859i' , 'f8510i'...
 ,'f8511i' ,'f8512i' ,'f8513i' ,'f8514i' ,'f8515i' ,'f8516i' ,'f8517i' ,'f8518i' ,'f8519i' ,'f8520i' ,'f8521i'};  

% How many models to run through
n_models = numel ( model_names );

counter = 1;


%% First extract observed data

% Load dataset
ncid = netcdf.open( strcat( data_names{ 1 } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m
% Save data
ERA_ARfreq = arfreq;
save ERA_ARfreq.mat ERA_ARfreq

% Clear values
clear arfreq

% Load dataset
ncid = netcdf.open( strcat( data_names{ 2 } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m
% Save data
MERRA_ARfreq = arfreq;
save MERRA_ARfreq.mat MERRA_ARfreq

% Clear values
clear arfreq




%% access10_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
access10_ARfreq85 = arfreq;
save access10_ARfreq85.mat access10_ARfreq85

% Clear values
clear arfreq

% Update counter
counter = counter + 1;


%% access13_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
access13_ARfreq85 = arfreq;
save access13_ARfreq85.mat access13_ARfreq85

% Clear values
clear arfreq

% Update counter
counter = counter + 1;


%% bcccsm1_ARfreq85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
bcccsm1_ARfreq85 = arfreq;
save bcccsm1_ARfreq85.mat bcccsm1_ARfreq85

% Clear values
clear arfreq

% Update counter
counter = counter + 1;


%% bcccsm1m_ARfreq85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
bcccsm1m_ARfreq85 = arfreq;
save bcccsm1m_ARfreq85.mat bcccsm1m_ARfreq85

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% bnuesm_ARfreq85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
bnuesm_ARfreq85 = arfreq;
save bnuesm_ARfreq85.mat bnuesm_ARfreq85

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% canesm2_ARfreq85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
canesm2_ARfreq85 = arfreq;
save canesm2_ARfreq85.mat canesm2_ARfreq85

% Clear values
clear arfreq

% Update counter
counter = counter + 1;


%% cnrmcm5_ARfreq85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
cnrmcm5_ARfreq85 = arfreq;
save cnrmcm5_ARfreq85.mat cnrmcm5_ARfreq85

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% csiromk36_ARfreq85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
csiromk36_ARfreq85 = arfreq;
save csiromk36_ARfreq85.mat csiromk36_ARfreq85

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% fgoalsg2_ARfreq85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
fgoalsg2_ARfreq85 = arfreq;
save fgoalsg2_ARfreq85.mat fgoalsg2_ARfreq85

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% gfdlcm3_ARfreq85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
gfdlcm3_ARfreq85 = arfreq;
save gfdlcm3_ARfreq85.mat gfdlcm3_ARfreq85

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% gfdlcm2g_ARfreq85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
gfdlcm2g_ARfreq85 = arfreq;
save gfdlcm2g_ARfreq85.mat gfdlcm2g_ARfreq85

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% hadgem2cc_ARfreq85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
hadgem2cc_ARfreq85 = arfreq;
save hadgem2cc_ARfreq85.mat hadgem2cc_ARfreq85

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% inmcm4_ARfreq85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
inmcm4_ARfreq85 = arfreq;
save inmcm4_ARfreq85.mat inmcm4_ARfreq85

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% ipslcm5alr_ARfreq85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
ipslcm5alr_ARfreq85 = arfreq;
save ipslcm5alr_ARfreq85.mat ipslcm5alr_ARfreq85

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% ipslcm5amr_ARfreq85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
ipslcm5amr_ARfreq85 = arfreq;
save ipslcm5amr_ARfreq85.mat ipslcm5amr_ARfreq85

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% ipslcm5blr_ARfreq85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
ipslcm5blr_ARfreq85 = arfreq;
save ipslcm5blr_ARfreq85.mat ipslcm5blr_ARfreq85

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% mirocesm_ARfreq85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
mirocesm_ARfreq85 = arfreq;
save mirocesm_ARfreq85.mat mirocesm_ARfreq85

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% mirocesmchem_ARfreq85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
mirocesmchem_ARfreq85 = arfreq;
save mirocesmchem_ARfreq85.mat mirocesmchem_ARfreq85

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% mpiesmlr_ARfreq85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
mpiesmlr_ARfreq85 = arfreq;
save mpiesmlr_ARfreq85.mat mpiesmlr_ARfreq85

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% mricgcm3_ARfreq85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
mricgcm3_ARfreq85 = arfreq;
save mricgcm3_ARfreq85.mat mricgcm3_ARfreq85

% Clear values
clear arfreq

% Update counter
counter = counter + 1;


%% nor_ARfreq85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
nor_ARfreq85 = arfreq;
save nor_ARfreq85.mat nor_ARfreq85

% Clear values
clear arfreq

% Update counter
counter = counter + 1;


