%% This script runs through each model and extracts the AR data
close all; clear all; clc;

%  Names
% model_names = {'access13_ARfreq' ,'bcccsm1m_ARfreq' ,'bnuesm_ARfreq' ,'cnrmcm5_ARfreq' , 'csiromk36_ARfreq' ,'fgoalsg2_ARfreq'...
%     'gfdlcm3_ARfreq' ,'gfdlesm2g_ARfreq' ,'hadgem2cc_ARfreq' ,'inmcm4_ARfreq' , 'ipslcm5alr_ARfreq' ,'ipslcm5amr_ARfreq'...
%     'ipslcm5blr_ARfreq' ,'mirocesm_ARfreq' ,'mirocesmchem_ARfreq' ,'mpiesmlr_ARfreq' , 'mricgcm3_ARfreq' ,'nor_ARfreq' };
data_names = {'ERA_ARfreq' ,'MERRA_ARfreq' };

% model_names = {'f1i.nc' ,'f2i.nc' ,'f3i.nc' ,'f4i.nc' ,'f5i.nc' ,'f6i.nc' ,'f7i.nc' ,'f8i.nc' ,'f9i.nc' , 'f10i.nc'...
%  ,'f11i.nc' ,'f12i.nc' ,'f13i.nc' ,'f14i.nc' ,'f15i.nc' ,'f16i.nc' ,'f17i.nc' ,'f18i.nc' ,'f19i.nc' ,'f20i.nc' ,'f21i.nc'};  
model_names = {'f451i' ,'f452i' ,'f453i' ,'f454i' ,'f455i' ,'f456i' ,'f457i' ,'f458i' ,'f459i' , 'f4510i'...
 ,'f4511i' ,'f4512i' ,'f4513i' ,'f4514i' ,'f4515i' ,'f4516i' ,'f4517i' ,'f4518i' ,'f4519i' ,'f4520i' ,'f4521i'};  

% How many models to run through
n_models = numel ( model_names );

counter = 1;


%% First extract observed data

% Load dataset
ncid = netcdf.open( strcat( data_names{ 1 } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m
% Save data
ERA_ARfreq = arfreq;
save ERA_ARfreq.mat ERA_ARfreq

% Clear values
clear arfreq

% Load dataset
ncid = netcdf.open( strcat( data_names{ 2 } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m
% Save data
MERRA_ARfreq = arfreq;
save MERRA_ARfreq.mat MERRA_ARfreq

% Clear values
clear arfreq




%% access10_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
access10_ARfreq45 = arfreq;
save access10_ARfreq45.mat access10_ARfreq45

% Clear values
clear arfreq

% Update counter
counter = counter + 1;


%% access13_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
access13_ARfreq45 = arfreq;
save access13_ARfreq45.mat access13_ARfreq45

% Clear values
clear arfreq

% Update counter
counter = counter + 1;


%% bcccsm1_ARfreq45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
bcccsm1_ARfreq45 = arfreq;
save bcccsm1_ARfreq45.mat bcccsm1_ARfreq45

% Clear values
clear arfreq

% Update counter
counter = counter + 1;


%% bcccsm1m_ARfreq45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
bcccsm1m_ARfreq45 = arfreq;
save bcccsm1m_ARfreq45.mat bcccsm1m_ARfreq45

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% bnuesm_ARfreq45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
bnuesm_ARfreq45 = arfreq;
save bnuesm_ARfreq45.mat bnuesm_ARfreq45

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% canesm2_ARfreq45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
canesm2_ARfreq45 = arfreq;
save canesm2_ARfreq45.mat canesm2_ARfreq45

% Clear values
clear arfreq

% Update counter
counter = counter + 1;


%% cnrmcm5_ARfreq45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
cnrmcm5_ARfreq45 = arfreq;
save cnrmcm5_ARfreq45.mat cnrmcm5_ARfreq45

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% csiromk36_ARfreq45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
csiromk36_ARfreq45 = arfreq;
save csiromk36_ARfreq45.mat csiromk36_ARfreq45

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% fgoalsg2_ARfreq45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
fgoalsg2_ARfreq45 = arfreq;
save fgoalsg2_ARfreq45.mat fgoalsg2_ARfreq45

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% gfdlcm3_ARfreq45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
gfdlcm3_ARfreq45 = arfreq;
save gfdlcm3_ARfreq45.mat gfdlcm3_ARfreq45

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% gfdlcm2g_ARfreq45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
gfdlcm2g_ARfreq45 = arfreq;
save gfdlcm2g_ARfreq45.mat gfdlcm2g_ARfreq45

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% hadgem2cc_ARfreq45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
hadgem2cc_ARfreq45 = arfreq;
save hadgem2cc_ARfreq45.mat hadgem2cc_ARfreq45

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% inmcm4_ARfreq45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
inmcm4_ARfreq45 = arfreq;
save inmcm4_ARfreq45.mat inmcm4_ARfreq45

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% ipslcm5alr_ARfreq45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
ipslcm5alr_ARfreq45 = arfreq;
save ipslcm5alr_ARfreq45.mat ipslcm5alr_ARfreq45

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% ipslcm5amr_ARfreq45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
ipslcm5amr_ARfreq45 = arfreq;
save ipslcm5amr_ARfreq45.mat ipslcm5amr_ARfreq45

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% ipslcm5blr_ARfreq45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
ipslcm5blr_ARfreq45 = arfreq;
save ipslcm5blr_ARfreq45.mat ipslcm5blr_ARfreq45

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% mirocesm_ARfreq45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
mirocesm_ARfreq45 = arfreq;
save mirocesm_ARfreq45.mat mirocesm_ARfreq45

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% mirocesmchem_ARfreq45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
mirocesmchem_ARfreq45 = arfreq;
save mirocesmchem_ARfreq45.mat mirocesmchem_ARfreq45

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% mpiesmlr_ARfreq45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
mpiesmlr_ARfreq45 = arfreq;
save mpiesmlr_ARfreq45.mat mpiesmlr_ARfreq45

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% mricgcm3_ARfreq45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
mricgcm3_ARfreq45 = arfreq;
save mricgcm3_ARfreq45.mat mricgcm3_ARfreq45

% Clear values
clear arfreq

% Update counter
counter = counter + 1;


%% nor_ARfreq45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
nor_ARfreq45 = arfreq;
save nor_ARfreq45.mat nor_ARfreq45

% Clear values
clear arfreq

% Update counter
counter = counter + 1;


