%% This script runs through each model and extracts the AR data
close all; clear all; clc;

%  Names
% model_names = {'access13_ARfreq' ,'bcccsm1m_ARfreq' ,'bnuesm_ARfreq' ,'cnrmcm5_ARfreq' , 'csiromk36_ARfreq' ,'fgoalsg2_ARfreq'...
%     'gfdlcm3_ARfreq' ,'gfdlesm2g_ARfreq' ,'hadgem2cc_ARfreq' ,'inmcm4_ARfreq' , 'ipslcm5alr_ARfreq' ,'ipslcm5amr_ARfreq'...
%     'ipslcm5blr_ARfreq' ,'mirocesm_ARfreq' ,'mirocesmchem_ARfreq' ,'mpiesmlr_ARfreq' , 'mricgcm3_ARfreq' ,'nor_ARfreq' };
data_names = {'ERA_ARfreq' ,'MERRA_ARfreq' };

% model_names = {'f1i.nc' ,'f2i.nc' ,'f3i.nc' ,'f4i.nc' ,'f5i.nc' ,'f6i.nc' ,'f7i.nc' ,'f8i.nc' ,'f9i.nc' , 'f10i.nc'...
%  ,'f11i.nc' ,'f12i.nc' ,'f13i.nc' ,'f14i.nc' ,'f15i.nc' ,'f16i.nc' ,'f17i.nc' ,'f18i.nc' ,'f19i.nc' ,'f20i.nc' ,'f21i.nc'};  
model_names = {'f1i' ,'f2i' ,'f3i' ,'f4i' ,'f5i' ,'f6i' ,'f7i' ,'f8i' ,'f9i' , 'f10i'...
 ,'f11i' ,'f12i' ,'f13i' ,'f14i' ,'f15i' ,'f16i' ,'f17i' ,'f18i' ,'f19i' ,'f20i' ,'f21i'};  

% How many models to run through
n_models = numel ( model_names );

counter = 1;


%% First extract observed data

% Load dataset
ncid = netcdf.open( strcat( data_names{ 1 } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m
% Save data
ERA_ARfreq = arfreq;
save ERA_ARfreq.mat ERA_ARfreq

% Clear values
clear arfreq

% Load dataset
ncid = netcdf.open( strcat( data_names{ 2 } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m
% Save data
MERRA_ARfreq = arfreq;
save MERRA_ARfreq.mat MERRA_ARfreq

% Clear values
clear arfreq




%% access10_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
access10_ARfreq = arfreq;
save access10_ARfreq.mat access10_ARfreq

% Clear values
clear arfreq

% Update counter
counter = counter + 1;


%% access13_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
access13_ARfreq = arfreq;
save access13_ARfreq.mat access13_ARfreq

% Clear values
clear arfreq

% Update counter
counter = counter + 1;


%% bcccsm1_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
bcccsm1_ARfreq = arfreq;
save bcccsm1_ARfreq.mat bcccsm1_ARfreq

% Clear values
clear arfreq

% Update counter
counter = counter + 1;


%% bcccsm1m_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
bcccsm1m_ARfreq = arfreq;
save bcccsm1m_ARfreq.mat bcccsm1m_ARfreq

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% bnuesm_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
bnuesm_ARfreq = arfreq;
save bnuesm_ARfreq.mat bnuesm_ARfreq

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% canesm2_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
canesm2_ARfreq = arfreq;
save canesm2_ARfreq.mat canesm2_ARfreq

% Clear values
clear arfreq

% Update counter
counter = counter + 1;


%% cnrmcm5_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
cnrmcm5_ARfreq = arfreq;
save cnrmcm5_ARfreq.mat cnrmcm5_ARfreq

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% csiromk36_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
csiromk36_ARfreq = arfreq;
save csiromk36_ARfreq.mat csiromk36_ARfreq

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% fgoalsg2_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
fgoalsg2_ARfreq = arfreq;
save fgoalsg2_ARfreq.mat fgoalsg2_ARfreq

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% gfdlcm3_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
gfdlcm3_ARfreq = arfreq;
save gfdlcm3_ARfreq.mat gfdlcm3_ARfreq

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% gfdlcm2g_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
gfdlcm2g_ARfreq = arfreq;
save gfdlcm2g_ARfreq.mat gfdlcm2g_ARfreq

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% hadgem2cc_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
hadgem2cc_ARfreq = arfreq;
save hadgem2cc_ARfreq.mat hadgem2cc_ARfreq

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% inmcm4_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
inmcm4_ARfreq = arfreq;
save inmcm4_ARfreq.mat inmcm4_ARfreq

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% ipslcm5alr_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
ipslcm5alr_ARfreq = arfreq;
save ipslcm5alr_ARfreq.mat ipslcm5alr_ARfreq

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% ipslcm5amr_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
ipslcm5amr_ARfreq = arfreq;
save ipslcm5amr_ARfreq.mat ipslcm5amr_ARfreq

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% ipslcm5blr_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
ipslcm5blr_ARfreq = arfreq;
save ipslcm5blr_ARfreq.mat ipslcm5blr_ARfreq

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% mirocesm_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
mirocesm_ARfreq = arfreq;
save mirocesm_ARfreq.mat mirocesm_ARfreq

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% mirocesmchem_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
mirocesmchem_ARfreq = arfreq;
save mirocesmchem_ARfreq.mat mirocesmchem_ARfreq

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% mpiesmlr_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
mpiesmlr_ARfreq = arfreq;
save mpiesmlr_ARfreq.mat mpiesmlr_ARfreq

% Clear values
clear arfreq

% Update counter
counter = counter + 1;

%% mricgcm3_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
mricgcm3_ARfreq = arfreq;
save mricgcm3_ARfreq.mat mricgcm3_ARfreq

% Clear values
clear arfreq

% Update counter
counter = counter + 1;


%% nor_ARfreq

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs.m

% Save data
nor_ARfreq = arfreq;
save nor_ARfreq.mat nor_ARfreq

% Clear values
clear arfreq

% Update counter
counter = counter + 1;


