%% This script runs through each model and extracts the AR data
close all; clear all; clc;

%  Names
% model_names = {'access13_ARIVTx' ,'bcccsm1m_ARIVTx' ,'bnuesm_ARIVTx' ,'cnrmcm5_ARIVTx' , 'csiromk36_ARIVTx' ,'fgoalsg2_ARIVTx'...
%     'gfdlcm3_ARIVTx' ,'gfdlesm2g_ARIVTx' ,'hadgem2cc_ARIVTx' ,'inmcm4_ARIVTx' , 'ipslcm5alr_ARIVTx' ,'ipslcm5amr_ARIVTx'...
%     'ipslcm5blr_ARIVTx' ,'mirocesm_ARIVTx' ,'mirocesmchem_ARIVTx' ,'mpiesmlr_ARIVTx' , 'mricgcm3_ARIVTx' ,'nor_ARIVTx' };
data_names = {'ERA_zonalIVT' ,'MERRA_zonalIVT' };

% model_names = {'f1i.nc' ,'f2i.nc' ,'f3i.nc' ,'f4i.nc' ,'f5i.nc' ,'f6i.nc' ,'f7i.nc' ,'f8i.nc' ,'f9i.nc' , 'f10i.nc'...
%  ,'f11i.nc' ,'f12i.nc' ,'f13i.nc' ,'f14i.nc' ,'f15i.nc' ,'f16i.nc' ,'f17i.nc' ,'f18i.nc' ,'f19i.nc' ,'f20i.nc' ,'f21i.nc'};  
model_names = {'x1i' ,'x2i' ,'x3i' ,'x4i' ,'x5i' ,'x6i' ,'x7i' ,'x8i' ,'x9i' , 'x10i'...
 ,'x11i' ,'x12i' ,'x13i' ,'x14i' ,'x15i' ,'x16i' ,'x17i' ,'x18i' ,'x19i' ,'x20i' ,'x21i'};  

% model_names = {'y1i' ,'y2i' ,'y3i' ,'y4i' ,'y5i' ,'y6i' ,'y7i' ,'y8i' ,'y9i' , 'y10i'...
%  ,'y11i' ,'y12i' ,'y13i' ,'y14i' ,'y15i' ,'y16i' ,'y17i' ,'y18i' ,'y19i' ,'y20i' ,'y21i'};  


% How many models to run through
n_models = numel ( model_names );

counter = 1;


%% First extract observed data

% Load dataset
ncid = netcdf.open( strcat( data_names{ 1 } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m
% Save data
ERA_ARIVTx = arIVTx;
save ERA_ARIVTx.mat ERA_ARIVTx

% Clear values
clear arIVTx

% Load dataset
ncid = netcdf.open( strcat( data_names{ 2 } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m
% Save data
MERRA_ARIVTx = arIVTx;
save MERRA_ARIVTx.mat MERRA_ARIVTx

% Clear values
clear arIVTx




%% access10_ARIVTx

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
access10_ARIVTx = arIVTx;
save access10_ARIVTx.mat access10_ARIVTx

% Clear values
clear arIVTx

% Update counter
counter = counter + 1;


%% access13_ARIVTx

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
access13_ARIVTx = arIVTx;
save access13_ARIVTx.mat access13_ARIVTx

% Clear values
clear arIVTx

% Update counter
counter = counter + 1;


%% bcccsm1_ARIVTx

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
bcccsm1_ARIVTx = arIVTx;
save bcccsm1_ARIVTx.mat bcccsm1_ARIVTx

% Clear values
clear arIVTx

% Update counter
counter = counter + 1;


%% bcccsm1m_ARIVTx

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
bcccsm1m_ARIVTx = arIVTx;
save bcccsm1m_ARIVTx.mat bcccsm1m_ARIVTx

% Clear values
clear arIVTx

% Update counter
counter = counter + 1;

%% bnuesm_ARIVTx

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
bnuesm_ARIVTx = arIVTx;
save bnuesm_ARIVTx.mat bnuesm_ARIVTx

% Clear values
clear arIVTx

% Update counter
counter = counter + 1;

%% canesm2_ARIVTx

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
canesm2_ARIVTx = arIVTx;
save canesm2_ARIVTx.mat canesm2_ARIVTx

% Clear values
clear arIVTx

% Update counter
counter = counter + 1;


%% cnrmcm5_ARIVTx

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
cnrmcm5_ARIVTx = arIVTx;
save cnrmcm5_ARIVTx.mat cnrmcm5_ARIVTx

% Clear values
clear arIVTx

% Update counter
counter = counter + 1;

%% csiromk36_ARIVTx

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
csiromk36_ARIVTx = arIVTx;
save csiromk36_ARIVTx.mat csiromk36_ARIVTx

% Clear values
clear arIVTx

% Update counter
counter = counter + 1;

%% fgoalsg2_ARIVTx

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
fgoalsg2_ARIVTx = arIVTx;
save fgoalsg2_ARIVTx.mat fgoalsg2_ARIVTx

% Clear values
clear arIVTx

% Update counter
counter = counter + 1;

%% gfdlcm3_ARIVTx

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
gfdlcm3_ARIVTx = arIVTx;
save gfdlcm3_ARIVTx.mat gfdlcm3_ARIVTx

% Clear values
clear arIVTx

% Update counter
counter = counter + 1;

%% gfdlcm2g_ARIVTx

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
gfdlcm2g_ARIVTx = arIVTx;
save gfdlcm2g_ARIVTx.mat gfdlcm2g_ARIVTx

% Clear values
clear arIVTx

% Update counter
counter = counter + 1;

%% hadgem2cc_ARIVTx

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
hadgem2cc_ARIVTx = arIVTx;
save hadgem2cc_ARIVTx.mat hadgem2cc_ARIVTx

% Clear values
clear arIVTx

% Update counter
counter = counter + 1;

%% inmcm4_ARIVTx

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
inmcm4_ARIVTx = arIVTx;
save inmcm4_ARIVTx.mat inmcm4_ARIVTx

% Clear values
clear arIVTx

% Update counter
counter = counter + 1;

%% ipslcm5alr_ARIVTx

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
ipslcm5alr_ARIVTx = arIVTx;
save ipslcm5alr_ARIVTx.mat ipslcm5alr_ARIVTx

% Clear values
clear arIVTx

% Update counter
counter = counter + 1;

%% ipslcm5amr_ARIVTx

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
ipslcm5amr_ARIVTx = arIVTx;
save ipslcm5amr_ARIVTx.mat ipslcm5amr_ARIVTx

% Clear values
clear arIVTx

% Update counter
counter = counter + 1;

%% ipslcm5blr_ARIVTx

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
ipslcm5blr_ARIVTx = arIVTx;
save ipslcm5blr_ARIVTx.mat ipslcm5blr_ARIVTx

% Clear values
clear arIVTx

% Update counter
counter = counter + 1;

%% mirocesm_ARIVTx

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
mirocesm_ARIVTx = arIVTx;
save mirocesm_ARIVTx.mat mirocesm_ARIVTx

% Clear values
clear arIVTx

% Update counter
counter = counter + 1;

%% mirocesmchem_ARIVTx

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
mirocesmchem_ARIVTx = arIVTx;
save mirocesmchem_ARIVTx.mat mirocesmchem_ARIVTx

% Clear values
clear arIVTx

% Update counter
counter = counter + 1;

%% mpiesmlr_ARIVTx

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
mpiesmlr_ARIVTx = arIVTx;
save mpiesmlr_ARIVTx.mat mpiesmlr_ARIVTx

% Clear values
clear arIVTx

% Update counter
counter = counter + 1;

%% mricgcm3_ARIVTx

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
mricgcm3_ARIVTx = arIVTx;
save mricgcm3_ARIVTx.mat mricgcm3_ARIVTx

% Clear values
clear arIVTx

% Update counter
counter = counter + 1;


%% nor_ARIVTx

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
nor_ARIVTx = arIVTx;
save nor_ARIVTx.mat nor_ARIVTx

% Clear values
clear arIVTx

% Update counter
counter = counter + 1;


