%% This script runs through each model and extracts the AR data
close all; clear all; clc;

%  Names
% model_names = {'access13_ARIVTy' ,'bcccsm1m_ARIVTy' ,'bnuesm_ARIVTy' ,'cnrmcm5_ARIVTy' , 'csiromk36_ARIVTy' ,'fgoalsg2_ARIVTy'...
%     'gfdlcm3_ARIVTy' ,'gfdlesm2g_ARIVTy' ,'hadgem2cc_ARIVTy' ,'inmcm4_ARIVTy' , 'ipslcm5alr_ARIVTy' ,'ipslcm5amr_ARIVTy'...
%     'ipslcm5blr_ARIVTy' ,'mirocesm_ARIVTy' ,'mirocesmchem_ARIVTy' ,'mpiesmlr_ARIVTy' , 'mricgcm3_ARIVTy' ,'nor_ARIVTy' };
data_names = {'ERA_MeridionaIVT' ,'MERRA_MeridionaIVT' };

% model_names = {'f1i.nc' ,'f2i.nc' ,'f3i.nc' ,'f4i.nc' ,'f5i.nc' ,'f6i.nc' ,'f7i.nc' ,'f8i.nc' ,'f9i.nc' , 'f10i.nc'...
%  ,'f11i.nc' ,'f12i.nc' ,'f13i.nc' ,'f14i.nc' ,'f15i.nc' ,'f16i.nc' ,'f17i.nc' ,'f18i.nc' ,'f19i.nc' ,'f20i.nc' ,'f21i.nc'};  

model_names = {'y1i' ,'y2i' ,'y3i' ,'y4i' ,'y5i' ,'y6i' ,'y7i' ,'y8i' ,'y9i' , 'y10i'...
 ,'y11i' ,'y12i' ,'y13i' ,'y14i' ,'y15i' ,'y16i' ,'y17i' ,'y18i' ,'y19i' ,'y20i' ,'y21i'};  


% How many models to run through
n_models = numel ( model_names );

counter = 1;


%% First extract observed data

% Load dataset
ncid = netcdf.open( strcat( data_names{ 1 } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m
% Save data
ERA_ARIVTy = ARIVTy;
save ERA_ARIVTy.mat ERA_ARIVTy

% Clear values
clear ARIVTy

% Load dataset
ncid = netcdf.open( strcat( data_names{ 2 } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m
% Save data
MERRA_ARIVTy = ARIVTy;
save MERRA_ARIVTy.mat MERRA_ARIVTy

% Clear values
clear ARIVTy




%% access10_ARIVTy

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
access10_ARIVTy = ARIVTy;
save access10_ARIVTy.mat access10_ARIVTy

% Clear values
clear ARIVTy

% Update counter
counter = counter + 1;


%% access13_ARIVTy

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
access13_ARIVTy = ARIVTy;
save access13_ARIVTy.mat access13_ARIVTy

% Clear values
clear ARIVTy

% Update counter
counter = counter + 1;


%% bcccsm1_ARIVTy

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
bcccsm1_ARIVTy = ARIVTy;
save bcccsm1_ARIVTy.mat bcccsm1_ARIVTy

% Clear values
clear ARIVTy

% Update counter
counter = counter + 1;


%% bcccsm1m_ARIVTy

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
bcccsm1m_ARIVTy = ARIVTy;
save bcccsm1m_ARIVTy.mat bcccsm1m_ARIVTy

% Clear values
clear ARIVTy

% Update counter
counter = counter + 1;

%% bnuesm_ARIVTy

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
bnuesm_ARIVTy = ARIVTy;
save bnuesm_ARIVTy.mat bnuesm_ARIVTy

% Clear values
clear ARIVTy

% Update counter
counter = counter + 1;

%% canesm2_ARIVTy

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
canesm2_ARIVTy = ARIVTy;
save canesm2_ARIVTy.mat canesm2_ARIVTy

% Clear values
clear ARIVTy

% Update counter
counter = counter + 1;


%% cnrmcm5_ARIVTy

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
cnrmcm5_ARIVTy = ARIVTy;
save cnrmcm5_ARIVTy.mat cnrmcm5_ARIVTy

% Clear values
clear ARIVTy

% Update counter
counter = counter + 1;

%% csiromk36_ARIVTy

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
csiromk36_ARIVTy = ARIVTy;
save csiromk36_ARIVTy.mat csiromk36_ARIVTy

% Clear values
clear ARIVTy

% Update counter
counter = counter + 1;

%% fgoalsg2_ARIVTy

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
fgoalsg2_ARIVTy = ARIVTy;
save fgoalsg2_ARIVTy.mat fgoalsg2_ARIVTy

% Clear values
clear ARIVTy

% Update counter
counter = counter + 1;

%% gfdlcm3_ARIVTy

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
gfdlcm3_ARIVTy = ARIVTy;
save gfdlcm3_ARIVTy.mat gfdlcm3_ARIVTy

% Clear values
clear ARIVTy

% Update counter
counter = counter + 1;

%% gfdlcm2g_ARIVTy

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
gfdlcm2g_ARIVTy = ARIVTy;
save gfdlcm2g_ARIVTy.mat gfdlcm2g_ARIVTy

% Clear values
clear ARIVTy

% Update counter
counter = counter + 1;

%% hadgem2cc_ARIVTy

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
hadgem2cc_ARIVTy = ARIVTy;
save hadgem2cc_ARIVTy.mat hadgem2cc_ARIVTy

% Clear values
clear ARIVTy

% Update counter
counter = counter + 1;

%% inmcm4_ARIVTy

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
inmcm4_ARIVTy = ARIVTy;
save inmcm4_ARIVTy.mat inmcm4_ARIVTy

% Clear values
clear ARIVTy

% Update counter
counter = counter + 1;

%% ipslcm5alr_ARIVTy

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
ipslcm5alr_ARIVTy = ARIVTy;
save ipslcm5alr_ARIVTy.mat ipslcm5alr_ARIVTy

% Clear values
clear ARIVTy

% Update counter
counter = counter + 1;

%% ipslcm5amr_ARIVTy

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
ipslcm5amr_ARIVTy = ARIVTy;
save ipslcm5amr_ARIVTy.mat ipslcm5amr_ARIVTy

% Clear values
clear ARIVTy

% Update counter
counter = counter + 1;

%% ipslcm5blr_ARIVTy

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
ipslcm5blr_ARIVTy = ARIVTy;
save ipslcm5blr_ARIVTy.mat ipslcm5blr_ARIVTy

% Clear values
clear ARIVTy

% Update counter
counter = counter + 1;

%% mirocesm_ARIVTy

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
mirocesm_ARIVTy = ARIVTy;
save mirocesm_ARIVTy.mat mirocesm_ARIVTy

% Clear values
clear ARIVTy

% Update counter
counter = counter + 1;

%% mirocesmchem_ARIVTy

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
mirocesmchem_ARIVTy = ARIVTy;
save mirocesmchem_ARIVTy.mat mirocesmchem_ARIVTy

% Clear values
clear ARIVTy

% Update counter
counter = counter + 1;

%% mpiesmlr_ARIVTy

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
mpiesmlr_ARIVTy = ARIVTy;
save mpiesmlr_ARIVTy.mat mpiesmlr_ARIVTy

% Clear values
clear ARIVTy

% Update counter
counter = counter + 1;

%% mricgcm3_ARIVTy

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
mricgcm3_ARIVTy = ARIVTy;
save mricgcm3_ARIVTy.mat mricgcm3_ARIVTy

% Clear values
clear ARIVTy

% Update counter
counter = counter + 1;


%% nor_ARIVTy

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
nor_ARIVTy = ARIVTy;
save nor_ARIVTy.mat nor_ARIVTy

% Clear values
clear ARIVTy

% Update counter
counter = counter + 1;


