%% This script extracts netcdf Climate data

% % Load dataset
% ncid = netcdf.open( strcat( model_names{i} , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Gets the number of dimensions,  variables,  global attributes, and identity of unlimited dimension
[ndims,nvars,ngatts,unlimdimid] = netcdf.inq(ncid) ;

%     {'lon'}    {'lon_bnds'}    {'lat'}    {'lat_bnds'}    {'time'}    {'time_bnds'}    {'pr'}
for  j = 0: nvars-1,
    % Get variable info
    [varname{j+1},xtype,dimids,natts] = netcdf.inqVar(ncid,j);
    
    if j ==0 % longitude
        longitude = netcdf.getVar(ncid,j);
    elseif j == 1 % latitude
        latitude  = netcdf.getVar(ncid,j);
    elseif j == 2  % time [ days since 1-1-1 00:00:00 ]
        time_step_obs = netcdf.getVar(ncid,j);
    elseif j == 3  % time [ days since 1-1-1 00:00:00 ]
        time_step_bands = netcdf.getVar(ncid,j);
    elseif j == 4  % time [ days since 1-1-1 00:00:00 ]
        ens = netcdf.getVar(ncid,j);
    elseif j == 5   % ACCESS precip kg/m2/s
        ARIVTy = netcdf.getVar(ncid,j);
    end
end

% Close netcdf file
netcdf.close(ncid)

% Process bad values
id_bad = ARIVTy < -1e4 ;
ARIVTy(id_bad) = nan;

% % Load in data matrix
% model_ARIVTyx(:,:,i) = ARIVTyx;








