%% This script runs through each model and extracts the AR data
close all; clear all; clc;

%  Names
% model_names = {'access13_ARIVTx45' ,'bcccsm1m_ARIVTx45' ,'bnuesm_ARIVTx45' ,'cnrmcm5_ARIVTx45' , 'csiromk36_ARIVTx45' ,'fgoalsg2_ARIVTx45'...
%     'gfdlcm3_ARIVTx45' ,'gfdlesm2g_ARIVTx45' ,'hadgem2cc_ARIVTx45' ,'inmcm4_ARIVTx45' , 'ipslcm5alr_ARIVTx45' ,'ipslcm5amr_ARIVTx45'...
%     'ipslcm5blr_ARIVTx45' ,'mirocesm_ARIVTx45' ,'mirocesmchem_ARIVTx45' ,'mpiesmlr_ARIVTx45' , 'mricgcm3_ARIVTx45' ,'nor_ARIVTx45' };
data_names = {'ERA_ARIVTx45' ,'MERRA_ARIVTx45' };

% model_names = {'f1i.nc' ,'f2i.nc' ,'f3i.nc' ,'f4i.nc' ,'f5i.nc' ,'f6i.nc' ,'f7i.nc' ,'f8i.nc' ,'f9i.nc' , 'f10i.nc'...
%  ,'f11i.nc' ,'f12i.nc' ,'f13i.nc' ,'f14i.nc' ,'f15i.nc' ,'f16i.nc' ,'f17i.nc' ,'f18i.nc' ,'f19i.nc' ,'f20i.nc' ,'f21i.nc'};  
model_names = {'Topivtx451' ,'Topivtx452' ,'Topivtx453' ,'Topivtx454' ,'Topivtx455' ,'Topivtx456' ,'Topivtx457' ,'Topivtx458' ,'Topivtx459' , 'Topivtx4510'...
 ,'Topivtx4511' ,'Topivtx4512' ,'Topivtx4513' ,'Topivtx4514' ,'Topivtx4515' ,'Topivtx4516' ,'Topivtx4517' ,'Topivtx4518' ,'Topivtx4519' ,'Topivtx4520' ,'Topivtx4521'};  

% model_names = {'y1i' ,'y2i' ,'y3i' ,'y4i' ,'y5i' ,'y6i' ,'y7i' ,'y8i' ,'y9i' , 'y10i'...
%  ,'y11i' ,'y12i' ,'y13i' ,'y14i' ,'y15i' ,'y16i' ,'y17i' ,'y18i' ,'y19i' ,'y20i' ,'y21i'};  


% How many models to run through
n_models = numel ( model_names );

counter = 1;


%% First extract observed data

% % Load dataset
% ncid = netcdf.open( strcat( data_names{ 1 } , '.nc') ,'WRITE'); % -> ACCESS 1-0
% 
% % Run extract script for this model
% run  extract_netcdfs_IVTx.m
% % Save data
% ERA_ARIVTx45 = ARIVTx45;
% save ERA_ARIVTx45.mat ERA_ARIVTx45
% 
% % Clear values
% clear ARIVTx45
% 
% % Load dataset
% ncid = netcdf.open( strcat( data_names{ 2 } , '.nc') ,'WRITE'); % -> ACCESS 1-0
% 
% % Run extract script for this model
% run  extract_netcdfs_IVTx.m
% % Save data
% MERRA_ARIVTx45 = ARIVTx45;
% save MERRA_ARIVTx45.mat MERRA_ARIVTx45
% 
% % Clear values
% clear ARIVTx45




%% access10_ARIVTx45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
access10_ARIVTx45 = ARIVTx45;
save access10_ARIVTx45.mat access10_ARIVTx45

% Clear values
clear ARIVTx45

% Update counter
counter = counter + 1;


%% access13_ARIVTx45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
access13_ARIVTx45 = ARIVTx45;
save access13_ARIVTx45.mat access13_ARIVTx45

% Clear values
clear ARIVTx45

% Update counter
counter = counter + 1;


%% bcccsm1_ARIVTx45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
bcccsm1_ARIVTx45 = ARIVTx45;
save bcccsm1_ARIVTx45.mat bcccsm1_ARIVTx45

% Clear values
clear ARIVTx45

% Update counter
counter = counter + 1;


%% bcccsm1m_ARIVTx45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
bcccsm1m_ARIVTx45 = ARIVTx45;
save bcccsm1m_ARIVTx45.mat bcccsm1m_ARIVTx45

% Clear values
clear ARIVTx45

% Update counter
counter = counter + 1;

%% bnuesm_ARIVTx45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
bnuesm_ARIVTx45 = ARIVTx45;
save bnuesm_ARIVTx45.mat bnuesm_ARIVTx45

% Clear values
clear ARIVTx45

% Update counter
counter = counter + 1;

%% canesm2_ARIVTx45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
canesm2_ARIVTx45 = ARIVTx45;
save canesm2_ARIVTx45.mat canesm2_ARIVTx45

% Clear values
clear ARIVTx45

% Update counter
counter = counter + 1;


%% cnrmcm5_ARIVTx45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
cnrmcm5_ARIVTx45 = ARIVTx45;
save cnrmcm5_ARIVTx45.mat cnrmcm5_ARIVTx45

% Clear values
clear ARIVTx45

% Update counter
counter = counter + 1;

%% csiromk36_ARIVTx45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
csiromk36_ARIVTx45 = ARIVTx45;
save csiromk36_ARIVTx45.mat csiromk36_ARIVTx45

% Clear values
clear ARIVTx45

% Update counter
counter = counter + 1;

%% fgoalsg2_ARIVTx45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
fgoalsg2_ARIVTx45 = ARIVTx45;
save fgoalsg2_ARIVTx45.mat fgoalsg2_ARIVTx45

% Clear values
clear ARIVTx45

% Update counter
counter = counter + 1;

%% gfdlcm3_ARIVTx45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
gfdlcm3_ARIVTx45 = ARIVTx45;
save gfdlcm3_ARIVTx45.mat gfdlcm3_ARIVTx45

% Clear values
clear ARIVTx45

% Update counter
counter = counter + 1;

%% gfdlcm2g_ARIVTx45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
gfdlcm2g_ARIVTx45 = ARIVTx45;
save gfdlcm2g_ARIVTx45.mat gfdlcm2g_ARIVTx45

% Clear values
clear ARIVTx45

% Update counter
counter = counter + 1;

%% hadgem2cc_ARIVTx45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
hadgem2cc_ARIVTx45 = ARIVTx45;
save hadgem2cc_ARIVTx45.mat hadgem2cc_ARIVTx45

% Clear values
clear ARIVTx45

% Update counter
counter = counter + 1;

%% inmcm4_ARIVTx45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
inmcm4_ARIVTx45 = ARIVTx45;
save inmcm4_ARIVTx45.mat inmcm4_ARIVTx45

% Clear values
clear ARIVTx45

% Update counter
counter = counter + 1;

%% ipslcm5alr_ARIVTx45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
ipslcm5alr_ARIVTx45 = ARIVTx45;
save ipslcm5alr_ARIVTx45.mat ipslcm5alr_ARIVTx45

% Clear values
clear ARIVTx45

% Update counter
counter = counter + 1;

%% ipslcm5amr_ARIVTx45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
ipslcm5amr_ARIVTx45 = ARIVTx45;
save ipslcm5amr_ARIVTx45.mat ipslcm5amr_ARIVTx45

% Clear values
clear ARIVTx45

% Update counter
counter = counter + 1;

%% ipslcm5blr_ARIVTx45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
ipslcm5blr_ARIVTx45 = ARIVTx45;
save ipslcm5blr_ARIVTx45.mat ipslcm5blr_ARIVTx45

% Clear values
clear ARIVTx45

% Update counter
counter = counter + 1;

%% mirocesm_ARIVTx45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
mirocesm_ARIVTx45 = ARIVTx45;
save mirocesm_ARIVTx45.mat mirocesm_ARIVTx45

% Clear values
clear ARIVTx45

% Update counter
counter = counter + 1;

%% mirocesmchem_ARIVTx45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
mirocesmchem_ARIVTx45 = ARIVTx45;
save mirocesmchem_ARIVTx45.mat mirocesmchem_ARIVTx45

% Clear values
clear ARIVTx45

% Update counter
counter = counter + 1;

%% mpiesmlr_ARIVTx45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
mpiesmlr_ARIVTx45 = ARIVTx45;
save mpiesmlr_ARIVTx45.mat mpiesmlr_ARIVTx45

% Clear values
clear ARIVTx45

% Update counter
counter = counter + 1;

%% mricgcm3_ARIVTx45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
mricgcm3_ARIVTx45 = ARIVTx45;
save mricgcm3_ARIVTx45.mat mricgcm3_ARIVTx45

% Clear values
clear ARIVTx45

% Update counter
counter = counter + 1;


%% nor_ARIVTx45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
nor_ARIVTx45 = ARIVTx45;
save nor_ARIVTx45.mat nor_ARIVTx45

% Clear values
clear ARIVTx45

% Update counter
counter = counter + 1;


