%% This script runs through each model and extracts the AR data
close all; clear all; clc;

%  Names
% model_names = {'access13_ARIVTy45' ,'bcccsm1m_ARIVTy45' ,'bnuesm_ARIVTy45' ,'cnrmcm5_ARIVTy45' , 'csiromk36_ARIVTy45' ,'fgoalsg2_ARIVTy45'...
%     'gfdlcm3_ARIVTy45' ,'gfdlesm2g_ARIVTy45' ,'hadgem2cc_ARIVTy45' ,'inmcm4_ARIVTy45' , 'ipslcm5alr_ARIVTy45' ,'ipslcm5amr_ARIVTy45'...
%     'ipslcm5blr_ARIVTy45' ,'mirocesm_ARIVTy45' ,'mirocesmchem_ARIVTy45' ,'mpiesmlr_ARIVTy45' , 'mricgcm3_ARIVTy45' ,'nor_ARIVTy45' };
data_names = {'ERA_ARIVTy45' ,'MERRA_ARIVTy45' };

% model_names = {'f1i.nc' ,'f2i.nc' ,'f3i.nc' ,'f4i.nc' ,'f5i.nc' ,'f6i.nc' ,'f7i.nc' ,'f8i.nc' ,'f9i.nc' , 'f10i.nc'...
%  ,'f11i.nc' ,'f12i.nc' ,'f13i.nc' ,'f14i.nc' ,'f15i.nc' ,'f16i.nc' ,'f17i.nc' ,'f18i.nc' ,'f19i.nc' ,'f20i.nc' ,'f21i.nc'};  
model_names = {'Topivty451' ,'Topivty452' ,'Topivty453' ,'Topivty454' ,'Topivty455' ,'Topivty456' ,'Topivty457' ,'Topivty458' ,'Topivty459' , 'Topivty4510'...
 ,'Topivty4511' ,'Topivty4512' ,'Topivty4513' ,'Topivty4514' ,'Topivty4515' ,'Topivty4516' ,'Topivty4517' ,'Topivty4518' ,'Topivty4519' ,'Topivty4520' ,'Topivty4521'};  

% model_names = {'y1i' ,'y2i' ,'y3i' ,'y4i' ,'y5i' ,'y6i' ,'y7i' ,'y8i' ,'y9i' , 'y10i'...
%  ,'y11i' ,'y12i' ,'y13i' ,'y14i' ,'y15i' ,'y16i' ,'y17i' ,'y18i' ,'y19i' ,'y20i' ,'y21i'};  


% How many models to run through
n_models = numel ( model_names );

counter = 1;


%% First extract observed data

% % Load dataset
% ncid = netcdf.open( strcat( data_names{ 1 } , '.nc') ,'WRITE'); % -> ACCESS 1-0
% 
% % Run extract script for this model
% run  extract_netcdfs_IVTy.m
% % Save data
% ERA_ARIVTy45 = ARIVTy45;
% save ERA_ARIVTy45.mat ERA_ARIVTy45
% 
% % Clear values
% clear ARIVTy45
% 
% % Load dataset
% ncid = netcdf.open( strcat( data_names{ 2 } , '.nc') ,'WRITE'); % -> ACCESS 1-0
% 
% % Run extract script for this model
% run  extract_netcdfs_IVTy.m
% % Save data
% MERRA_ARIVTy45 = ARIVTy45;
% save MERRA_ARIVTy45.mat MERRA_ARIVTy45
% 
% % Clear values
% clear ARIVTy45




%% access10_ARIVTy45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
access10_ARIVTy45 = ARIVTy45;
save access10_ARIVTy45.mat access10_ARIVTy45

% Clear values
clear ARIVTy45

% Update counter
counter = counter + 1;


%% access13_ARIVTy45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
access13_ARIVTy45 = ARIVTy45;
save access13_ARIVTy45.mat access13_ARIVTy45

% Clear values
clear ARIVTy45

% Update counter
counter = counter + 1;


%% bcccsm1_ARIVTy45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
bcccsm1_ARIVTy45 = ARIVTy45;
save bcccsm1_ARIVTy45.mat bcccsm1_ARIVTy45

% Clear values
clear ARIVTy45

% Update counter
counter = counter + 1;


%% bcccsm1m_ARIVTy45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
bcccsm1m_ARIVTy45 = ARIVTy45;
save bcccsm1m_ARIVTy45.mat bcccsm1m_ARIVTy45

% Clear values
clear ARIVTy45

% Update counter
counter = counter + 1;

%% bnuesm_ARIVTy45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
bnuesm_ARIVTy45 = ARIVTy45;
save bnuesm_ARIVTy45.mat bnuesm_ARIVTy45

% Clear values
clear ARIVTy45

% Update counter
counter = counter + 1;

%% canesm2_ARIVTy45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
canesm2_ARIVTy45 = ARIVTy45;
save canesm2_ARIVTy45.mat canesm2_ARIVTy45

% Clear values
clear ARIVTy45

% Update counter
counter = counter + 1;


%% cnrmcm5_ARIVTy45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
cnrmcm5_ARIVTy45 = ARIVTy45;
save cnrmcm5_ARIVTy45.mat cnrmcm5_ARIVTy45

% Clear values
clear ARIVTy45

% Update counter
counter = counter + 1;

%% csiromk36_ARIVTy45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
csiromk36_ARIVTy45 = ARIVTy45;
save csiromk36_ARIVTy45.mat csiromk36_ARIVTy45

% Clear values
clear ARIVTy45

% Update counter
counter = counter + 1;

%% fgoalsg2_ARIVTy45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
fgoalsg2_ARIVTy45 = ARIVTy45;
save fgoalsg2_ARIVTy45.mat fgoalsg2_ARIVTy45

% Clear values
clear ARIVTy45

% Update counter
counter = counter + 1;

%% gfdlcm3_ARIVTy45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
gfdlcm3_ARIVTy45 = ARIVTy45;
save gfdlcm3_ARIVTy45.mat gfdlcm3_ARIVTy45

% Clear values
clear ARIVTy45

% Update counter
counter = counter + 1;

%% gfdlcm2g_ARIVTy45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
gfdlcm2g_ARIVTy45 = ARIVTy45;
save gfdlcm2g_ARIVTy45.mat gfdlcm2g_ARIVTy45

% Clear values
clear ARIVTy45

% Update counter
counter = counter + 1;

%% hadgem2cc_ARIVTy45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
hadgem2cc_ARIVTy45 = ARIVTy45;
save hadgem2cc_ARIVTy45.mat hadgem2cc_ARIVTy45

% Clear values
clear ARIVTy45

% Update counter
counter = counter + 1;

%% inmcm4_ARIVTy45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
inmcm4_ARIVTy45 = ARIVTy45;
save inmcm4_ARIVTy45.mat inmcm4_ARIVTy45

% Clear values
clear ARIVTy45

% Update counter
counter = counter + 1;

%% ipslcm5alr_ARIVTy45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
ipslcm5alr_ARIVTy45 = ARIVTy45;
save ipslcm5alr_ARIVTy45.mat ipslcm5alr_ARIVTy45

% Clear values
clear ARIVTy45

% Update counter
counter = counter + 1;

%% ipslcm5amr_ARIVTy45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
ipslcm5amr_ARIVTy45 = ARIVTy45;
save ipslcm5amr_ARIVTy45.mat ipslcm5amr_ARIVTy45

% Clear values
clear ARIVTy45

% Update counter
counter = counter + 1;

%% ipslcm5blr_ARIVTy45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
ipslcm5blr_ARIVTy45 = ARIVTy45;
save ipslcm5blr_ARIVTy45.mat ipslcm5blr_ARIVTy45

% Clear values
clear ARIVTy45

% Update counter
counter = counter + 1;

%% mirocesm_ARIVTy45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
mirocesm_ARIVTy45 = ARIVTy45;
save mirocesm_ARIVTy45.mat mirocesm_ARIVTy45

% Clear values
clear ARIVTy45

% Update counter
counter = counter + 1;

%% mirocesmchem_ARIVTy45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
mirocesmchem_ARIVTy45 = ARIVTy45;
save mirocesmchem_ARIVTy45.mat mirocesmchem_ARIVTy45

% Clear values
clear ARIVTy45

% Update counter
counter = counter + 1;

%% mpiesmlr_ARIVTy45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
mpiesmlr_ARIVTy45 = ARIVTy45;
save mpiesmlr_ARIVTy45.mat mpiesmlr_ARIVTy45

% Clear values
clear ARIVTy45

% Update counter
counter = counter + 1;

%% mricgcm3_ARIVTy45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
mricgcm3_ARIVTy45 = ARIVTy45;
save mricgcm3_ARIVTy45.mat mricgcm3_ARIVTy45

% Clear values
clear ARIVTy45

% Update counter
counter = counter + 1;


%% nor_ARIVTy45

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
nor_ARIVTy45 = ARIVTy45;
save nor_ARIVTy45.mat nor_ARIVTy45

% Clear values
clear ARIVTy45

% Update counter
counter = counter + 1;


