%% This script runs through each model and extracts the AR data
close all; clear all; clc;

%  Names
% model_names = {'access13_ARIVTx85' ,'bcccsm1m_ARIVTx85' ,'bnuesm_ARIVTx85' ,'cnrmcm5_ARIVTx85' , 'csiromk36_ARIVTx85' ,'fgoalsg2_ARIVTx85'...
%     'gfdlcm3_ARIVTx85' ,'gfdlesm2g_ARIVTx85' ,'hadgem2cc_ARIVTx85' ,'inmcm4_ARIVTx85' , 'ipslcm5alr_ARIVTx85' ,'ipslcm5amr_ARIVTx85'...
%     'ipslcm5blr_ARIVTx85' ,'mirocesm_ARIVTx85' ,'mirocesmchem_ARIVTx85' ,'mpiesmlr_ARIVTx85' , 'mricgcm3_ARIVTx85' ,'nor_ARIVTx85' };
data_names = {'ERA_ARIVTx85' ,'MERRA_ARIVTx85' };

% model_names = {'f1i.nc' ,'f2i.nc' ,'f3i.nc' ,'f4i.nc' ,'f5i.nc' ,'f6i.nc' ,'f7i.nc' ,'f8i.nc' ,'f9i.nc' , 'f10i.nc'...
%  ,'f11i.nc' ,'f12i.nc' ,'f13i.nc' ,'f14i.nc' ,'f15i.nc' ,'f16i.nc' ,'f17i.nc' ,'f18i.nc' ,'f19i.nc' ,'f20i.nc' ,'f21i.nc'};  
model_names = {'Topivtx851' ,'Topivtx852' ,'Topivtx853' ,'Topivtx854' ,'Topivtx855' ,'Topivtx856' ,'Topivtx857' ,'Topivtx858' ,'Topivtx859' , 'Topivtx8510'...
 ,'Topivtx8511' ,'Topivtx8512' ,'Topivtx8513' ,'Topivtx8514' ,'Topivtx8515' ,'Topivtx8516' ,'Topivtx8517' ,'Topivtx8518' ,'Topivtx8519' ,'Topivtx8520' ,'Topivtx8521'};  

% model_names = {'y1i' ,'y2i' ,'y3i' ,'y4i' ,'y5i' ,'y6i' ,'y7i' ,'y8i' ,'y9i' , 'y10i'...
%  ,'y11i' ,'y12i' ,'y13i' ,'y14i' ,'y15i' ,'y16i' ,'y17i' ,'y18i' ,'y19i' ,'y20i' ,'y21i'};  


% How many models to run through
n_models = numel ( model_names );

counter = 1;


%% First extract observed data

% % Load dataset
% ncid = netcdf.open( strcat( data_names{ 1 } , '.nc') ,'WRITE'); % -> ACCESS 1-0
% 
% % Run extract script for this model
% run  extract_netcdfs_IVTx.m
% % Save data
% ERA_ARIVTx85 = ARIVTx85;
% save ERA_ARIVTx85.mat ERA_ARIVTx85
% 
% % Clear values
% clear ARIVTx85
% 
% % Load dataset
% ncid = netcdf.open( strcat( data_names{ 2 } , '.nc') ,'WRITE'); % -> ACCESS 1-0
% 
% % Run extract script for this model
% run  extract_netcdfs_IVTx.m
% % Save data
% MERRA_ARIVTx85 = ARIVTx85;
% save MERRA_ARIVTx85.mat MERRA_ARIVTx85
% 
% % Clear values
% clear ARIVTx85




%% access10_ARIVTx85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
access10_ARIVTx85 = ARIVTx85;
save access10_ARIVTx85.mat access10_ARIVTx85

% Clear values
clear ARIVTx85

% Update counter
counter = counter + 1;


%% access13_ARIVTx85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
access13_ARIVTx85 = ARIVTx85;
save access13_ARIVTx85.mat access13_ARIVTx85

% Clear values
clear ARIVTx85

% Update counter
counter = counter + 1;


%% bcccsm1_ARIVTx85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
bcccsm1_ARIVTx85 = ARIVTx85;
save bcccsm1_ARIVTx85.mat bcccsm1_ARIVTx85

% Clear values
clear ARIVTx85

% Update counter
counter = counter + 1;


%% bcccsm1m_ARIVTx85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
bcccsm1m_ARIVTx85 = ARIVTx85;
save bcccsm1m_ARIVTx85.mat bcccsm1m_ARIVTx85

% Clear values
clear ARIVTx85

% Update counter
counter = counter + 1;

%% bnuesm_ARIVTx85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
bnuesm_ARIVTx85 = ARIVTx85;
save bnuesm_ARIVTx85.mat bnuesm_ARIVTx85

% Clear values
clear ARIVTx85

% Update counter
counter = counter + 1;

%% canesm2_ARIVTx85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
canesm2_ARIVTx85 = ARIVTx85;
save canesm2_ARIVTx85.mat canesm2_ARIVTx85

% Clear values
clear ARIVTx85

% Update counter
counter = counter + 1;


%% cnrmcm5_ARIVTx85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
cnrmcm5_ARIVTx85 = ARIVTx85;
save cnrmcm5_ARIVTx85.mat cnrmcm5_ARIVTx85

% Clear values
clear ARIVTx85

% Update counter
counter = counter + 1;

%% csiromk36_ARIVTx85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
csiromk36_ARIVTx85 = ARIVTx85;
save csiromk36_ARIVTx85.mat csiromk36_ARIVTx85

% Clear values
clear ARIVTx85

% Update counter
counter = counter + 1;

%% fgoalsg2_ARIVTx85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
fgoalsg2_ARIVTx85 = ARIVTx85;
save fgoalsg2_ARIVTx85.mat fgoalsg2_ARIVTx85

% Clear values
clear ARIVTx85

% Update counter
counter = counter + 1;

%% gfdlcm3_ARIVTx85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
gfdlcm3_ARIVTx85 = ARIVTx85;
save gfdlcm3_ARIVTx85.mat gfdlcm3_ARIVTx85

% Clear values
clear ARIVTx85

% Update counter
counter = counter + 1;

%% gfdlcm2g_ARIVTx85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
gfdlcm2g_ARIVTx85 = ARIVTx85;
save gfdlcm2g_ARIVTx85.mat gfdlcm2g_ARIVTx85

% Clear values
clear ARIVTx85

% Update counter
counter = counter + 1;

%% hadgem2cc_ARIVTx85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
hadgem2cc_ARIVTx85 = ARIVTx85;
save hadgem2cc_ARIVTx85.mat hadgem2cc_ARIVTx85

% Clear values
clear ARIVTx85

% Update counter
counter = counter + 1;

%% inmcm4_ARIVTx85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
inmcm4_ARIVTx85 = ARIVTx85;
save inmcm4_ARIVTx85.mat inmcm4_ARIVTx85

% Clear values
clear ARIVTx85

% Update counter
counter = counter + 1;

%% ipslcm5alr_ARIVTx85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
ipslcm5alr_ARIVTx85 = ARIVTx85;
save ipslcm5alr_ARIVTx85.mat ipslcm5alr_ARIVTx85

% Clear values
clear ARIVTx85

% Update counter
counter = counter + 1;

%% ipslcm5amr_ARIVTx85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
ipslcm5amr_ARIVTx85 = ARIVTx85;
save ipslcm5amr_ARIVTx85.mat ipslcm5amr_ARIVTx85

% Clear values
clear ARIVTx85

% Update counter
counter = counter + 1;

%% ipslcm5blr_ARIVTx85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
ipslcm5blr_ARIVTx85 = ARIVTx85;
save ipslcm5blr_ARIVTx85.mat ipslcm5blr_ARIVTx85

% Clear values
clear ARIVTx85

% Update counter
counter = counter + 1;

%% mirocesm_ARIVTx85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
mirocesm_ARIVTx85 = ARIVTx85;
save mirocesm_ARIVTx85.mat mirocesm_ARIVTx85

% Clear values
clear ARIVTx85

% Update counter
counter = counter + 1;

%% mirocesmchem_ARIVTx85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
mirocesmchem_ARIVTx85 = ARIVTx85;
save mirocesmchem_ARIVTx85.mat mirocesmchem_ARIVTx85

% Clear values
clear ARIVTx85

% Update counter
counter = counter + 1;

%% mpiesmlr_ARIVTx85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
mpiesmlr_ARIVTx85 = ARIVTx85;
save mpiesmlr_ARIVTx85.mat mpiesmlr_ARIVTx85

% Clear values
clear ARIVTx85

% Update counter
counter = counter + 1;

%% mricgcm3_ARIVTx85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
mricgcm3_ARIVTx85 = ARIVTx85;
save mricgcm3_ARIVTx85.mat mricgcm3_ARIVTx85

% Clear values
clear ARIVTx85

% Update counter
counter = counter + 1;


%% nor_ARIVTx85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTx.m

% Save data
nor_ARIVTx85 = ARIVTx85;
save nor_ARIVTx85.mat nor_ARIVTx85

% Clear values
clear ARIVTx85

% Update counter
counter = counter + 1;


