%% This script runs through each model and extracts the AR data
close all; clear all; clc;

%  Names
% model_names = {'access13_ARIVTy85' ,'bcccsm1m_ARIVTy85' ,'bnuesm_ARIVTy85' ,'cnrmcm5_ARIVTy85' , 'csiromk36_ARIVTy85' ,'fgoalsg2_ARIVTy85'...
%     'gfdlcm3_ARIVTy85' ,'gfdlesm2g_ARIVTy85' ,'hadgem2cc_ARIVTy85' ,'inmcm4_ARIVTy85' , 'ipslcm5alr_ARIVTy85' ,'ipslcm5amr_ARIVTy85'...
%     'ipslcm5blr_ARIVTy85' ,'mirocesm_ARIVTy85' ,'mirocesmchem_ARIVTy85' ,'mpiesmlr_ARIVTy85' , 'mricgcm3_ARIVTy85' ,'nor_ARIVTy85' };
data_names = {'ERA_ARIVTy85' ,'MERRA_ARIVTy85' };

% model_names = {'f1i.nc' ,'f2i.nc' ,'f3i.nc' ,'f4i.nc' ,'f5i.nc' ,'f6i.nc' ,'f7i.nc' ,'f8i.nc' ,'f9i.nc' , 'f10i.nc'...
%  ,'f11i.nc' ,'f12i.nc' ,'f13i.nc' ,'f14i.nc' ,'f15i.nc' ,'f16i.nc' ,'f17i.nc' ,'f18i.nc' ,'f19i.nc' ,'f20i.nc' ,'f21i.nc'};  
model_names = {'Topivty851' ,'Topivty852' ,'Topivty853' ,'Topivty854' ,'Topivty855' ,'Topivty856' ,'Topivty857' ,'Topivty858' ,'Topivty859' , 'Topivty8510'...
 ,'Topivty8511' ,'Topivty8512' ,'Topivty8513' ,'Topivty8514' ,'Topivty8515' ,'Topivty8516' ,'Topivty8517' ,'Topivty8518' ,'Topivty8519' ,'Topivty8520' ,'Topivty8521'};  

% model_names = {'y1i' ,'y2i' ,'y3i' ,'y4i' ,'y5i' ,'y6i' ,'y7i' ,'y8i' ,'y9i' , 'y10i'...
%  ,'y11i' ,'y12i' ,'y13i' ,'y14i' ,'y15i' ,'y16i' ,'y17i' ,'y18i' ,'y19i' ,'y20i' ,'y21i'};  


% How many models to run through
n_models = numel ( model_names );

counter = 1;


%% First extract observed data

% % Load dataset
% ncid = netcdf.open( strcat( data_names{ 1 } , '.nc') ,'WRITE'); % -> ACCESS 1-0
% 
% % Run extract script for this model
% run  extract_netcdfs_IVTy.m
% % Save data
% ERA_ARIVTy85 = ARIVTy85;
% save ERA_ARIVTy85.mat ERA_ARIVTy85
% 
% % Clear values
% clear ARIVTy85
% 
% % Load dataset
% ncid = netcdf.open( strcat( data_names{ 2 } , '.nc') ,'WRITE'); % -> ACCESS 1-0
% 
% % Run extract script for this model
% run  extract_netcdfs_IVTy.m
% % Save data
% MERRA_ARIVTy85 = ARIVTy85;
% save MERRA_ARIVTy85.mat MERRA_ARIVTy85
% 
% % Clear values
% clear ARIVTy85




%% access10_ARIVTy85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
access10_ARIVTy85 = ARIVTy85;
save access10_ARIVTy85.mat access10_ARIVTy85

% Clear values
clear ARIVTy85

% Update counter
counter = counter + 1;


%% access13_ARIVTy85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
access13_ARIVTy85 = ARIVTy85;
save access13_ARIVTy85.mat access13_ARIVTy85

% Clear values
clear ARIVTy85

% Update counter
counter = counter + 1;


%% bcccsm1_ARIVTy85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
bcccsm1_ARIVTy85 = ARIVTy85;
save bcccsm1_ARIVTy85.mat bcccsm1_ARIVTy85

% Clear values
clear ARIVTy85

% Update counter
counter = counter + 1;


%% bcccsm1m_ARIVTy85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
bcccsm1m_ARIVTy85 = ARIVTy85;
save bcccsm1m_ARIVTy85.mat bcccsm1m_ARIVTy85

% Clear values
clear ARIVTy85

% Update counter
counter = counter + 1;

%% bnuesm_ARIVTy85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
bnuesm_ARIVTy85 = ARIVTy85;
save bnuesm_ARIVTy85.mat bnuesm_ARIVTy85

% Clear values
clear ARIVTy85

% Update counter
counter = counter + 1;

%% canesm2_ARIVTy85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
canesm2_ARIVTy85 = ARIVTy85;
save canesm2_ARIVTy85.mat canesm2_ARIVTy85

% Clear values
clear ARIVTy85

% Update counter
counter = counter + 1;


%% cnrmcm5_ARIVTy85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
cnrmcm5_ARIVTy85 = ARIVTy85;
save cnrmcm5_ARIVTy85.mat cnrmcm5_ARIVTy85

% Clear values
clear ARIVTy85

% Update counter
counter = counter + 1;

%% csiromk36_ARIVTy85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
csiromk36_ARIVTy85 = ARIVTy85;
save csiromk36_ARIVTy85.mat csiromk36_ARIVTy85

% Clear values
clear ARIVTy85

% Update counter
counter = counter + 1;

%% fgoalsg2_ARIVTy85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
fgoalsg2_ARIVTy85 = ARIVTy85;
save fgoalsg2_ARIVTy85.mat fgoalsg2_ARIVTy85

% Clear values
clear ARIVTy85

% Update counter
counter = counter + 1;

%% gfdlcm3_ARIVTy85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
gfdlcm3_ARIVTy85 = ARIVTy85;
save gfdlcm3_ARIVTy85.mat gfdlcm3_ARIVTy85

% Clear values
clear ARIVTy85

% Update counter
counter = counter + 1;

%% gfdlcm2g_ARIVTy85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
gfdlcm2g_ARIVTy85 = ARIVTy85;
save gfdlcm2g_ARIVTy85.mat gfdlcm2g_ARIVTy85

% Clear values
clear ARIVTy85

% Update counter
counter = counter + 1;

%% hadgem2cc_ARIVTy85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
hadgem2cc_ARIVTy85 = ARIVTy85;
save hadgem2cc_ARIVTy85.mat hadgem2cc_ARIVTy85

% Clear values
clear ARIVTy85

% Update counter
counter = counter + 1;

%% inmcm4_ARIVTy85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
inmcm4_ARIVTy85 = ARIVTy85;
save inmcm4_ARIVTy85.mat inmcm4_ARIVTy85

% Clear values
clear ARIVTy85

% Update counter
counter = counter + 1;

%% ipslcm5alr_ARIVTy85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
ipslcm5alr_ARIVTy85 = ARIVTy85;
save ipslcm5alr_ARIVTy85.mat ipslcm5alr_ARIVTy85

% Clear values
clear ARIVTy85

% Update counter
counter = counter + 1;

%% ipslcm5amr_ARIVTy85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
ipslcm5amr_ARIVTy85 = ARIVTy85;
save ipslcm5amr_ARIVTy85.mat ipslcm5amr_ARIVTy85

% Clear values
clear ARIVTy85

% Update counter
counter = counter + 1;

%% ipslcm5blr_ARIVTy85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
ipslcm5blr_ARIVTy85 = ARIVTy85;
save ipslcm5blr_ARIVTy85.mat ipslcm5blr_ARIVTy85

% Clear values
clear ARIVTy85

% Update counter
counter = counter + 1;

%% mirocesm_ARIVTy85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
mirocesm_ARIVTy85 = ARIVTy85;
save mirocesm_ARIVTy85.mat mirocesm_ARIVTy85

% Clear values
clear ARIVTy85

% Update counter
counter = counter + 1;

%% mirocesmchem_ARIVTy85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
mirocesmchem_ARIVTy85 = ARIVTy85;
save mirocesmchem_ARIVTy85.mat mirocesmchem_ARIVTy85

% Clear values
clear ARIVTy85

% Update counter
counter = counter + 1;

%% mpiesmlr_ARIVTy85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
mpiesmlr_ARIVTy85 = ARIVTy85;
save mpiesmlr_ARIVTy85.mat mpiesmlr_ARIVTy85

% Clear values
clear ARIVTy85

% Update counter
counter = counter + 1;

%% mricgcm3_ARIVTy85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
mricgcm3_ARIVTy85 = ARIVTy85;
save mricgcm3_ARIVTy85.mat mricgcm3_ARIVTy85

% Clear values
clear ARIVTy85

% Update counter
counter = counter + 1;


%% nor_ARIVTy85

% Load dataset
ncid = netcdf.open( strcat( model_names{ counter } , '.nc') ,'WRITE'); % -> ACCESS 1-0

% Run extract script for this model
run  extract_netcdfs_IVTy.m

% Save data
nor_ARIVTy85 = ARIVTy85;
save nor_ARIVTy85.mat nor_ARIVTy85

% Clear values
clear ARIVTy85

% Update counter
counter = counter + 1;


